org.springframework.jdbc.core

## Class SqlReturnUpdateCount

- java.lang.Object
- - org.springframework.jdbc.core.SqlParameter
  - - org.springframework.jdbc.core.SqlReturnUpdateCount

    public class SqlReturnUpdateCount
    extends SqlParameter

Represents a returned update count from a stored procedure call.

Returned update counts - like all stored procedure parameters - must have names.

Author:
  Thomas Risberg

### Constructor Summary

Constructors
Constructor and Description
`SqlReturnUpdateCount(String name)` Create a new instance of the `SqlReturnUpdateCount` class.

### Method Summary

Methods
`boolean` `isInputValueProvided()` Return whether this parameter holds input values that should be set before execution even if they are `null`.
`boolean` `isResultsParameter()` Return whether this parameter is an implicit return parameter used during the results preocessing of the CallableStatement.getMoreResults/getUpdateCount.

### Methods inherited from class org.springframework.jdbc.core.SqlParameter

`getName, getScale, getSqlType, getTypeName, sqlTypesToAnonymousParameterList`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlReturnUpdateCount

    public SqlReturnUpdateCount(String name)

Create a new instance of the `SqlReturnUpdateCount` class.

Parameters:
  `name` - name of the parameter, as used in input and output maps

### Method Detail

#### isInputValueProvided

    public boolean isInputValueProvided()

Return whether this parameter holds input values that should be set before execution even if they are `null`.

This implementation always returns `false`.

Overrides:
  `isInputValueProvided` in class `SqlParameter`

#### isResultsParameter

    public boolean isResultsParameter()

Return whether this parameter is an implicit return parameter used during the results preocessing of the CallableStatement.getMoreResults/getUpdateCount.

This implementation always returns `true`.

Overrides:
  `isResultsParameter` in class `SqlParameter`